MCP Tools Reference: dataproc.googleapis.com

Tool: get_session

Get a Dataproc session in a Google Cloud project

The following sample demonstrate how to use curl to invoke the get_session MCP tool.

Curl Request
                  
curl --location 'https://dataproc.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_session",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

A request to get the resource representation for a session.

GetSessionRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the session to retrieve.

Output Schema

A Dataproc Session.

Session

JSON representation
{
  "sessionName": string,
  "sessionUuid": string,
  "createTime": string,
  "state": enum (State),
  "labels": {
    string: string,
    ...
  }
}
Fields
sessionName

string

The session name.

sessionUuid

string

A session UUID (Unique Universal Identifier). Dataproc generates this value when it creates the session.

createTime

string (Timestamp format)

The time when the session was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Session state.

labels

map (key: string, value: string)

The labels to associate with this session. Label keys must contain 1 to 63 characters, and must conform to RFC 1035. Label values may be empty, but, if present, must contain 1 to 63 characters, and must conform to RFC 1035. No more than 32 labels can be associated with a session.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌